<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                template="/WEB-INF/templates/LoggedTemplate.xhtml">

    <ui:define name="contentPart">        

        <h:form 
            id="addNominaForm">

            <div 
                id="dvNuevaNomina"
                style="display: #{addNominaMB.strRenderizarNuevo};">

                <h:panelGrid 
                    id="cabeceroPanelGridId"
                    columns="2"
                    styleClass="panelNoBorder"
                    width="100%">

                    <p:column width="50%">            
                        <h:outputText 
                            value="Agregar Nueva Nómina:" 
                            style="font-weight: bold;"/>
                    </p:column>

                    <p:column width="50%">
                        <h:outputText 
                            value=" Fecha de creación: #{addNominaMB.fechaCreacion()}" 
                            style="font-weight: bold; 
                            float:right"/>
                    </p:column>
                </h:panelGrid>

                <hr class="ui-separator ui-state-default ui-corner-all separator"></hr>

                <h:panelGrid 
                    id="crearPanelGridId" 
                    columns="3" 
                    styleClass="panelNoBorder" >

                    <br/><br/>

                    <h:panelGrid 
                        columns="3" 
                        id="creaNomina" 
                        style="border-spacing: 10px; padding-left: 20px;">

                        <p:row>
                            <h:outputLabel 
                                for="tipoNomina" 
                                value="#{translatedMessage['restricted.nomina.calculaNomina.tipoNomina']} *"/>
                        </p:row>

                        <p:row> </p:row>                    

                        <p:row>
                            <p:selectOneMenu 
                                id="tipoNomina" 
                                value="#{addNominaMB.cabeceraNominaSelected.rhNomnCatTipoNominaTO}" 
                                converter="entityConverter"
                                filter="true"
                                autoWidth="false"
                                filterMatchMode="contains" 
                                caseSensitive="false" 
                                style="width: 250px"> 

                                <f:selectItem 
                                    itemLabel="Selecciona una opción..."/>                        

                                <f:selectItems 
                                    value="#{addNominaMB.lstRhNomnCatTipoNomina}"
                                    var="tiposNominas"
                                    itemLabel="#{tiposNominas.strTipoNomina}"
                                    itemValue="#{tiposNominas}"/>

                                <p:ajax 
                                    event="change" 
                                    update="addNominaForm, @(.btGuardar)" 
                                    listener="#{addNominaMB.eventActualizarTipoNomina(addNominaMB.cabeceraNominaSelected.ejercicioTO.idEjercicio, addNominaMB.cabeceraNominaSelected.rhNomnCatTipoNominaTO.intIdTipoNomina)}" />
                            </p:selectOneMenu>   
                        </p:row>  

                        <p:row
                            rendered="#{addNominaMB.blMostrarRetroactividad}">

                            <h:outputLabel 
                                for="sbcRetroactividad" 
                                value="#{translatedMessage['restricted.nomina.calculaNomina.retroactividad']} *" />                            
                        </p:row>

                        <p:row
                            rendered="#{addNominaMB.blMostrarRetroactividad}"/>

                        <p:row
                            rendered="#{addNominaMB.blMostrarRetroactividad}">

                            <p:selectBooleanCheckbox 
                                id="sbcRetroactividad"
                                value="#{addNominaMB.blEsRetroactividad}">

                                <p:ajax                                     
                                    update="quincena" 
                                    listener="#{addNominaMB.actualizarQuincenas(addNominaMB.cabeceraNominaSelected.ejercicioTO.idEjercicio, addNominaMB.cabeceraNominaSelected.rhNomnCatTipoNominaTO.intIdTipoNomina)}" />                                                                
                            </p:selectBooleanCheckbox>
                        </p:row>

                        <p:row
                            rendered="#{addNominaMB.blEsAguinaldo}">

                            <h:outputLabel 
                                for="tipoAguinaldo" 
                                value="#{translatedMessage['restricted.nomina.calculaNomina.tipoAguinaldo']} *"/>
                        </p:row>

                        <p:row
                            rendered="#{addNominaMB.blEsAguinaldo}"/>                    

                        <p:row
                            rendered="#{addNominaMB.blEsAguinaldo}">

                            <p:selectOneMenu 
                                id="tipoAguinaldo" 
                                value="#{addNominaMB.tipoAguinaldoSelected}" 
                                converter="entityConverter"
                                filter="true"                                    
                                autoWidth="false"
                                filterMatchMode="contains" 
                                caseSensitive="false">                        

                                <f:selectItems 
                                    value="#{addNominaMB.lstTiposAguinaldosClasificadores}"
                                    var="tiposAguinaldos"
                                    itemLabel="#{tiposAguinaldos.strDescripcionConcepto}"
                                    itemValue="#{tiposAguinaldos}"/>
                            </p:selectOneMenu>   
                        </p:row>                        

                        <p:row
                            rendered="#{addNominaMB.blMostrarExtraOrdReversa}">

                            <h:outputLabel 
                                for="quincenaActual" 
                                value="#{translatedMessage['restricted.nomina.calculaNomina.quincenaActual']} " />
                        </p:row>

                        <p:row
                            rendered="#{addNominaMB.blMostrarExtraOrdReversa}"/>

                        <p:row
                            rendered="#{addNominaMB.blMostrarExtraOrdReversa}">

                            <h:outputText
                                id="quincenaActual" 
                                value="#{addNominaMB.strQuincenaActualExtRev}">                                
                            </h:outputText>
                        </p:row>                                                

                        <p:row>
                            <h:outputLabel 
                                for="nombre" 
                                value="#{translatedMessage['restricted.nomina.calculaNomina.nombre']} *" />
                        </p:row>

                        <p:row> </p:row>                    

                        <p:row>
                            <p:inputText
                                id="nombre"
                                class="nombre"
                                value="#{addNominaMB.cabeceraNominaSelected.strNombreNomina}"
                                maxlength="#{commonDataMB.maxInputTextLength}"
                                style="width: 250px"
                                onkeyup="toUpperCase(event,this)"
                                immediate="true" 
                                >
                                <p:ajax event="blur"
                                        process="@(.nombre)" 
                                        />
                            </p:inputText>  
                        </p:row>                                                                                                  

                        <p:row>
                            <h:outputLabel 
                                for="ejercicio" 
                                value="#{translatedMessage['restricted.nomina.calculaNomina.ejercicio']} *"/>
                        </p:row>

                        <p:row> </p:row>                    

                        <p:row>
                            <p:selectOneMenu 
                                id="ejercicio" 
                                value="#{addNominaMB.cabeceraNominaSelected.ejercicioTO}" 
                                converter="entityConverter"
                                filter="true"
                                autoWidth="false"
                                filterMatchMode="contains" 
                                caseSensitive="false" 
                                style="width: 250px">                       

                                <f:selectItems 
                                    value="#{addNominaMB.lstEjercicio}"
                                    var="ejercicios"
                                    itemLabel="#{ejercicios.valor}"
                                    itemValue="#{ejercicios}"/>

                                <p:ajax 
                                    event="change" 
                                    update="addNominaForm" 
                                    listener="#{addNominaMB.eventActualizarEjercicio(addNominaMB.cabeceraNominaSelected.ejercicioTO.idEjercicio, addNominaMB.cabeceraNominaSelected.rhNomnCatTipoNominaTO.intIdTipoNomina)}" />
                            </p:selectOneMenu>   
                        </p:row>

                        <p:row
                            rendered="#{!addNominaMB.blMostrarISRAnual}">
                            <h:outputLabel 
                                for="quincena" 
                                value="#{translatedMessage['restricted.nomina.calculaNomina.quincena']} *"/>
                        </p:row>

                        <p:row 
                            rendered="#{!addNominaMB.blMostrarISRAnual}"/>

                        <p:row
                            rendered="#{!addNominaMB.blMostrarISRAnual}">
                            <p:selectOneMenu 
                                id="quincena" 
                                value="#{addNominaMB.cabeceraNominaSelected.rhNomnCatQuincenaTO}" 
                                converter="entityConverter"
                                filter="true"
                                autoWidth="false"
                                filterMatchMode="contains" 
                                caseSensitive="false" 
                                style="width: 250px"> 

                                <f:selectItem 
                                    itemLabel="Selecciona una opción..."/>                        

                                <f:selectItems 
                                    value="#{addNominaMB.lstRhNomnCatQuincena}"
                                    var="quincenas"
                                    itemLabel="#{quincenas.strQuincena}"
                                    itemValue="#{quincenas}"/>

                                <p:ajax
                                    event="change"
                                    process="quincena"
                                    listener="#{addNominaMB.validarQuincenas(addNominaMB.cabeceraNominaSelected.rhNomnCatQuincenaTO,addNominaMB.cabeceraNominaSelected.rhNomnCatTipoNominaTO.intIdTipoNomina)}"
                                    />                                
                            </p:selectOneMenu>  
                        </p:row>
                        
                        <p:row
                            rendered="#{addNominaMB.blMostrarISRAnual}">

                            <h:outputLabel 
                                for="quincenaActualISR" 
                                value="#{translatedMessage['restricted.nomina.calculaNomina.quincenaActual']} " />
                        </p:row>

                        <p:row
                            rendered="#{addNominaMB.blMostrarISRAnual}"/>

                        <p:row
                            rendered="#{addNominaMB.blMostrarISRAnual}">

                            <h:outputText
                                id="quincenaActualISR" 
                                value="#{addNominaMB.strQuincenaActualISRAnual}">                                
                            </h:outputText>
                        </p:row>                         
                    </h:panelGrid>                                                
                </h:panelGrid>    

                <br/>
                <div style="padding-left: #{addNominaMB.posicionBotones}">
                    

                <p:commandButton
                    id="btGuardar"
                    class="btGuardar"
                    update="@form"
                    process="@form"
                    disabled="#{addNominaMB.numNominas ge 2 }"
                    value="#{translatedMessage['common.label.create']}"
                    oncomplete="redirect(xhr, status, args, 'NominaBandeja.jsf');"
                    actionListener="#{addNominaMB.guardarNomina}">
                </p:commandButton>

                    <div style="width:5px;
                     height:auto;
                      display:inline-block;"/>  
                 
                 <p:commandButton
                    id="btAgregarEmpleados"                       
                    rendered="#{addNominaMB.blMostrarExtraOrdReversa}"
                    value="#{translatedMessage['restricted.nomina.calculaNomina.agregarEmpleados']}">

                    <p:ajax                         
                        listener="#{addNominaMB.renderizarVistaExtraRever(
                                    addNominaMB.cabeceraNominaSelected.ejercicioTO.idEjercicio, 
                                    addNominaMB.cabeceraNominaSelected.rhNomnCatTipoNominaTO.intIdTipoNomina,
                                    addNominaMB.cabeceraNominaSelected.rhNomnCatQuincenaTO.intIdQuincena)}" 
                        immediate="true" 
                        update="@form" />                         
                </p:commandButton>
                    
            <div style="width:5px;
                     height:auto;
                      display:inline-block;"/>  

                <p:commandButton
                    id="btCerrar"
                    value="Cerrar"
                    type="button"
                    onclick="location = 'NominaBandeja.jsf';">
                </p:commandButton>
                </div>
                <br/><br/>             
            </div>

            <div
                id="dvAgregarEmpleados"
                style="display: #{addNominaMB.strRenderizarExtraRever};"> 

                <h:outputText 
                    value="Agregar empleados a una nómina Extraordinaria/Reversa" 
                    style="font-weight: bold"/>

                <hr class="ui-separator ui-state-default ui-corner-all separator"></hr>

                <h:panelGrid 
                    id="pnlBusquedaEmpleados"
                    cellpadding="10px"
                    columns="1"
                    width="500px"
                    columnClasses="centered2,centered,centered2,centered"
                    style="position: relative; 
                    left:25%;">

                    <p:row>
                        <h:outputLabel 
                            for="somUniAdmSeleccion" 
                            style="font-size: 100%; 
                            padding-right: 10px; 
                            padding-bottom: 10px;"                                   
                            value="#{translatedMessage['restricted.nomina.calculaNomina.unidadAdm']}"/>

                        <p:selectOneMenu 
                            id="somUniAdmSeleccion" 
                            style="font-size: 85%;
                            width: 200px;"
                            converter="entityConverter"
                            filter="true"
                            autoWidth="false"
                            filterMatchMode="contains"
                            title="Unidades Administrativas"
                            value="#{addNominaMB.rhNomnCatUnidadesAdminsSelected}">

                            <f:selectItem 
                                itemLabel="Elegir una Unidad Administrativa..." />

                            <f:selectItems
                                value="#{addNominaMB.lstUnidadesAdminsSeleccionadas}"
                                var="uniAdmSelec"
                                itemLabel="#{uniAdmSelec.cveDescripcion}"
                                itemValue="#{uniAdmSelec}" />

                            <p:ajax 
                                event="change" 
                                update="somEmpleadosSeleccion" 
                                listener="#{addNominaMB.actualizarSeleccionarEmpleado(addNominaMB.rhNomnCatUnidadesAdminsSelected.idUniAdm)}" />                        
                        </p:selectOneMenu>                                           
                    </p:row>

                    <p:row>
                        <h:outputLabel 
                            for="somEmpleadosSeleccion" 
                            style="font-size: 100%; 
                            padding-right: 10px; 
                            padding-bottom: 10px;"                                   
                            value="#{translatedMessage['restricted.nomina.calculaNomina.numeroEmpleado']}"/>

                        <p:selectOneMenu 
                            id="somEmpleadosSeleccion" 
                            style="font-size: 85%;
                            width: 200px;"
                            converter="entityConverter"
                            filter="true"
                            autoWidth="false"
                            filterMatchMode="contains"
                            title="No. de empleado"
                            value="#{addNominaMB.nominaEmplePlazaBusquedaSelected}">

                            <f:selectItem 
                                itemLabel="Elegir un Empleado..." />

                            <f:selectItems
                                value="#{addNominaMB.lstRhNomnNominasEmplePlaza}"
                                var="empleadoExtRev"
                                itemLabel="#{empleadoExtRev.strEmpleadoConNombreCompleto}"
                                itemValue="#{empleadoExtRev}" />
                        </p:selectOneMenu>                        
                    </p:row>

                    <p:row>
                        <div>
                            <table 
                                width="100%">
                                <th 
                                    width="100%">

                                    <p:commandButton 
                                        id="btnBuscarEmpl" 
                                        style="font-size: 85%;"                                     
                                        update="@form"
                                        process="@form"                                    
                                        title="Búsqueda de empleados"                                    
                                        actionListener="#{addNominaMB.busquedaSeleccionada(
                                                          addNominaMB.cabeceraNominaSelected.rhNomnCatTipoNominaTO.intIdTipoNomina,
                                                          addNominaMB.rhNomnCatUnidadesAdminsSelected.idUniAdm,
                                                          addNominaMB.nominaEmplePlazaBusquedaSelected.intIdEmpleadoFk)}"                                     
                                        value="Buscar">
                                        
                                        <p:confirm 
                                            header="Confimación" 
                                            message="¿Está seguro de realizar la búsqueda, ya que se perderá 
                                            todo el avance que llevas realizado en los empleados?" 
                                            icon="ui-icon-alert" /> 

                                        <p:confirmDialog 
                                            global="true" 
                                            showEffect="fade" 
                                            hideEffect="fade">
                                            <p:commandButton 
                                                value="Si" 
                                                type="button" 
                                                styleClass="ui-confirmdialog-yes" 
                                                icon="ui-icon-check"                                         
                                                update="@(form)"/>
                                            <p:commandButton 
                                                value="No" 
                                                type="button" 
                                                styleClass="ui-confirmdialog-no" 
                                                icon="ui-icon-close"/>
                                        </p:confirmDialog>                                          
                                    </p:commandButton> 
                                </th>
                            </table>  
                        </div>                    
                    </p:row> 

                    <p:row
                        rendered="#{addNominaMB.blEsSoloExtraordinaria}">
                        <div>
                            <table width="100%">
                                <tr>
                                    <td align="center">
                                        <p:commandButton 
                                            id="btnAgregarConceptos" 
                                            styleClass="botonpequeno"
                                            process="@all"
                                            update="@(form)"
                                            oncomplete="PF('dgAgregarConceptos').show()"                                                                                        
                                            actionListener="#{addNominaMB.obtenerConceptosExtraordinaria(null)}"
                                            title="Seleccionar Conceptos" 
                                            value="Agregar conceptos"                                    
                                            style="display:inline; 
                                            font-size:small;
                                            left: 1%" />
                                    </td>
                                </tr>
                            </table>
                        </div>    
                    </p:row>
                    
                    <p:row
                        rendered="#{addNominaMB.blEsSoloReversa}">
                        <div>
                            <table width="100%">
                                <tr>
                                    <td align="center">
                                        <p:commandButton 
                                            id="btnAgregarConceptosReversa" 
                                            styleClass="botonpequeno"
                                            process="@all"
                                            update="@(form)"
                                            oncomplete="PF('dgAgregarConceptos').show()"                                                                                        
                                            actionListener="#{addNominaMB.obtenerConceptosReversa(null)}"
                                            title="Seleccionar Conceptos" 
                                            value="Agregar conceptos"                                    
                                            style="display:inline; 
                                            font-size:small;
                                            left: 1%" />
                                    </td>
                                </tr>
                            </table>
                        </div>    
                    </p:row>                    
                </h:panelGrid>                                                  

                <p:dataTable                 
                    id="tableEmpleadosNominaAfectada"
                    var="empleadosNominaTable"                                                                              
                    value="#{addNominaMB.lstEmpleados}"                    
                    rowKey="#{empleadosNominaTable.intIdNomEmpPlaza}"
                    selection="#{addNominaMB.lstEmpleadosSeleccionados}"
                    currentPageReportTemplate="Mostrando empleados de la nómina del {startRecord} al {endRecord} de {totalRecords}."
                    paginatorTemplate="{CurrentPageReport} {RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink}"                         
                    paginator="true"
                    paginatorPosition="bottom" 
                    scrollable="true"                     
                    scrollWidth="99%"                
                    rowsPerPageTemplate="5,10,15"
                    rows="10"                                                        
                    emptyMessage="#{msg['inai.medios.common.noRecordsText']}"
                    style="font-size: small;
                    width: 90%"> 

                    <p:column 
                        style="width:10%;
                        font-size:small;"
                        selectionMode="multiple"                            
                        headerText="#{translatedMessage['restricted.nomina.calculaNomina.seleccionarTodo']}" >
                    </p:column>                     

                    <p:column
                        headerText="#{translatedMessage['restricted.nomina.calculaNomina.agregarConceptos']}"
                        style="width:10%; 
                        font-size:small; 
                        text-align:center"
                        rendered="#{addNominaMB.blEsSoloExtraordinaria}">

                        <p:commandButton 
                            id="btnAgregarConcpetosEmpleado"                     
                            styleClass="botonpequeno"
                            process="@all"
                            update="@(form)"
                            oncomplete="PF('dgAgregarConceptosPorEmpleado').show()"                                                                        
                            actionListener="#{addNominaMB.obtenerConceptosExtraordinaria(empleadosNominaTable)}"                                 
                            title="Añadir conceptos"                                
                            value="Agregar conceptos"
                            immediate="true"
                            style="display:inline;                                                            
                            font-size:x-small;" />                            
                    </p:column> 
                    
                    <p:column
                        headerText="#{translatedMessage['restricted.nomina.calculaNomina.agregarConceptos']}"
                        style="width:10%; 
                        font-size:small; 
                        text-align:center"
                        rendered="#{addNominaMB.blEsSoloReversa}">

                        <p:commandButton 
                            id="btnAgregarConcpetosEmpleadoReversa"                     
                            styleClass="botonpequeno"
                            process="@all"
                            update="@(form)"
                            oncomplete="PF('dgAgregarConceptosPorEmpleado').show()"                                                                        
                            actionListener="#{addNominaMB.obtenerConceptosReversa(empleadosNominaTable)}"                                 
                            title="Añadir conceptos"                                
                            value="Agregar conceptos"
                            immediate="true"
                            style="display:inline;                                                            
                            font-size:x-small;" />                            
                    </p:column>                    

                    <p:column 
                        headerText="#{translatedMessage['restricted.nomina.calculaNomina.numeroEmpleado']}"
                        style="width:10%; 
                        font-size:small; 
                        text-align:center">
                        <h:outputText 
                            value="#{empleadosNominaTable.rhNomnEmpleadosTO.numeroEmpleado}" />
                    </p:column>

                    <p:column 
                        headerText="#{translatedMessage['restricted.nomina.calculaNomina.numeroPlaza']}"
                        style="width:10%; 
                        font-size:small; 
                        text-align:center">
                        <h:outputText 
                            value="#{empleadosNominaTable.rhNomnEmpleadosTO.plazaTO.numeroPlaza}" />
                    </p:column>                

                    <p:column 
                        headerText="#{translatedMessage['restricted.nomina.calculaNomina.nombreEmpleado']}"
                        style="width:25%; 
                        font-size:small;">
                        <h:outputText 
                            value="#{empleadosNominaTable.rhNomnEmpleadosTO.datosPersonalesTO.
                                     nombreCompleto}" />
                    </p:column>

                    <p:column 
                        headerText="#{translatedMessage['restricted.nomina.calculaNomina.tipNombramiento']}" 
                        style="width:10%; 
                        font-size:small; 
                        text-align:center">
                        <h:outputText 
                            value="#{empleadosNominaTable.rhNomnEmpleadosTO.plazaTO.tipoNombramientoTO.
                                     descripcion}" />
                    </p:column>

                    <p:column 
                        headerText="#{translatedMessage['restricted.nomina.calculaNomina.unidadAdm']}" 
                        style="width:25%; 
                        font-size:smaller; 
                        text-align:center">
                        <h:outputText 
                            value="#{empleadosNominaTable.rhNomnEmpleadosTO.plazaTO.
                                     rhNomnAdscripcionesTO.detalleunidadAdm.strDescripcionCompleta}" />
                    </p:column>
                </p:dataTable>                

                <br/>                                

                <div align="right">
                    <p:commandButton
                        id="btCerrarAgregarEmp"
                        value="Regresar"
                        style="font-size: 70%;                                        
                        text-align:center">

                        <p:ajax                         
                            listener="#{addNominaMB.cerrarAgregarEmpleados()}" 
                            immediate="true"
                            process="@form"
                            update="@form" />                    
                    </p:commandButton> 
                </div>
            </div> 
        </h:form>    

        <p:dialog 
            widgetVar="dgAgregarConceptos" 
            resizable="false"  
            modal="true" 
            draggable="false"  
            width="750"
            height="555"
            header="Agregar conceptos a todos los empleados de una nómina." 
            appendTo="@(body)"
            closable="false"> 
            
            <h:form 
                id="frAgregarConceptos">
                
                <p:outputPanel
                    id="opAgregarConceptos">                                      
                    
                    <div>
                        
                        <p:dataTable                 
                            id="tableConceptosTodosEmpleados"
                            var="conceptosTodosEmpleadosTable"                                             
                            value="#{addNominaMB.lstConceptos}"                              
                            rowKey="#{conceptosTodosEmpleadosTable.idConcepto}"
                            selection="#{addNominaMB.lstConceptoSeleccionados}"
                            currentPageReportTemplate="Mostrando conceptos a agregar del {startRecord} al {endRecord} de {totalRecords}."                            
                            paginatorTemplate="{CurrentPageReport} {RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink}"                         
                            paginatorPosition="bottom"                 
                            paginator="true"                                                                     
                            scrollable="true" 
                            scrollWidth="99%"                
                            rowsPerPageTemplate="5,10,15"
                            rows="15"                            
                            emptyMessage="#{msg['inai.medios.common.noRecordsText']}"
                            style="font-size: small;
                            width: 90%">

                            <p:column 
                                style="width:15%;
                                font-size:small;"
                                selectionMode="multiple"                            
                                headerText="#{translatedMessage['restricted.nomina.calculaNomina.seleccionarTodo']}" >
                            </p:column>  

                            <p:column 
                                headerText="#{translatedMessage['restricted.nomina.calculaNomina.claveConcepto']}"
                                style="width:40%; 
                                font-size:small; 
                                text-align:center">
                                <h:outputText 
                                    value="#{conceptosTodosEmpleadosTable.claveConcepto}" />
                            </p:column>

                            <p:column 
                                headerText="#{translatedMessage['restricted.nomina.calculaNomina.nombreConcepto']}"
                                style="width:45%; 
                                font-size:small; 
                                text-align:center">
                                <h:outputText 
                                    value="#{conceptosTodosEmpleadosTable.nombreConcepto}" />
                            </p:column>                                                     
                        </p:dataTable>
                    </div>

                    <br></br>

                    <div>
                        <table width="100%">
                            <tr>
                                <td align="center">
                                    <p:commandButton 
                                        id="btnGuardarConceptos"                
                                        update="@form"
                                        process="@form"                                         
                                        actionListener="#{addNominaMB.agregarConceptosATodosEmpleados()}"
                                        value="Agregar Concepto(s)"
                                        style="display:inline;                                                 
                                        font-size:small;"/> 
                                </td>

                                <td align="left">
                                    <p:commandButton  
                                        id="btnCerrarConceptos"  
                                        value="Cerrar"                                          
                                        onclick="PF('dgAgregarConceptos').hide();"
                                        update="@form"                                        
                                        style="display:inline;                                                 
                                        font-size:small;"/>                                                                              
                                </td>
                            </tr>
                        </table>
                    </div>                                    
                </p:outputPanel>      
            </h:form>
        </p:dialog>
        
        <p:dialog 
            widgetVar="dgAgregarConceptosPorEmpleado" 
            resizable="false"  
            modal="true" 
            draggable="false"  
            width="750"
            height="555"
            header="Agregar conceptos al empleado de una nómina." 
            appendTo="@(body)"
            closable="false"> 

            <h:form
                id="frAgregarConceptosPorEmpleado">
                
                <p:outputPanel
                    id="opAgregarConceptosPorEmpleado">                                     
                    
                    <div>
                        
                        <p:dataTable                 
                            id="tableConceptosEmpleado"
                            var="conceptosEmpleadoTable"                                             
                            value="#{addNominaMB.lstConceptos}"                              
                            rowKey="#{conceptosEmpleadoTable.idConcepto}"
                            selection="#{addNominaMB.lstConceptoSeleccionados}"
                            currentPageReportTemplate="Mostrando conceptos a agregar del {startRecord} al {endRecord} de {totalRecords}."
                            paginatorTemplate="{CurrentPageReport} {RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink}"                         
                            paginatorPosition="bottom"                 
                            paginator="true"                                         
                            scrollable="true" 
                            scrollWidth="99%"                
                            rowsPerPageTemplate="5,10,15"
                            rows="15"                                                        
                            emptyMessage="#{msg['inai.medios.common.noRecordsText']}"
                            style="font-size: small;
                            width: 90%">

                            <p:column 
                                style="width:15%;
                                font-size:small;"
                                selectionMode="multiple"                            
                                headerText="#{translatedMessage['restricted.nomina.calculaNomina.seleccionarTodo']}" >
                            </p:column>  

                            <p:column 
                                headerText="#{translatedMessage['restricted.nomina.calculaNomina.claveConcepto']}"
                                style="width:40%; 
                                font-size:small; 
                                text-align:center">
                                <h:outputText 
                                    value="#{conceptosEmpleadoTable.claveConcepto}" />
                            </p:column>

                            <p:column 
                                headerText="#{translatedMessage['restricted.nomina.calculaNomina.nombreConcepto']}"
                                style="width:45%; 
                                font-size:small; 
                                text-align:center">
                                <h:outputText 
                                    value="#{conceptosEmpleadoTable.nombreConcepto}" />
                            </p:column>                                                     
                        </p:dataTable>
                    </div>

                    <br></br>

                    <div>
                        <table width="100%">
                            <tr>                                                               
                                <td align="center">
                                    <p:commandButton 
                                        id="btnGuardarConceptosEmpleado"                                         
                                        update="@form"
                                        process="@form"                                        
                                        actionListener="#{addNominaMB.agregarConceptosAEmpleado()}"
                                        value="Agregar Concepto(s)"
                                        style="display:inline;                                                 
                                        font-size:small;"/> 
                                </td>

                                <td align="left">
                                    <p:commandButton  
                                        id="btnCerrarConceptosPorEmpleado"  
                                        value="Cerrar"                                          
                                        onclick="PF('dgAgregarConceptosPorEmpleado').hide();"
                                        update="@form"                                        
                                        style="display:inline;                                                 
                                        font-size:small;"/>                                                                              
                                </td>
                            </tr>
                        </table>
                    </div>                    
                </p:outputPanel>   
            </h:form>
        </p:dialog> 
        
<!--        <p:dialog 
            widgetVar="dgAgregarConceptosReversa" 
            resizable="false"  
            modal="true" 
            draggable="false"  
            width="750"
            height="555"
            header="Agregar conceptos a todos los empleados de una nómina." 
            appendTo="@(body)"
            closable="false"> 
            
            <h:form 
                id="frAgregarConceptosReversa">
                
                <p:outputPanel
                    id="opAgregarConceptosReversa">                                      
                    
                    <div>
                        
                        <p:dataTable                 
                            id="tableConceptosReversaTodosEmpleados"
                            var="conceptosTodosEmpleadosTable"                                             
                            value="#{addNominaMB.lstConceptos}"                              
                            rowKey="#{conceptosTodosEmpleadosTable.idConcepto}"
                            selection="#{addNominaMB.lstConceptoSeleccionados}"
                            currentPageReportTemplate="Mostrando conceptos a agregar del {startRecord} al {endRecord} de {totalRecords}."                            
                            paginatorTemplate="{CurrentPageReport} {RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink}"                         
                            paginatorPosition="bottom"                 
                            paginator="true"                                                                     
                            scrollable="true" 
                            scrollWidth="99%"                
                            rowsPerPageTemplate="5,10,15"
                            rows="15"                            
                            emptyMessage="#{msg['inai.medios.common.noRecordsText']}"
                            style="font-size: small;
                            width: 90%">

                            <p:column 
                                style="width:15%;
                                font-size:small;"
                                selectionMode="multiple"                            
                                headerText="#{translatedMessage['restricted.nomina.calculaNomina.seleccionarTodo']}" >
                            </p:column>  

                            <p:column 
                                headerText="#{translatedMessage['restricted.nomina.calculaNomina.claveConcepto']}"
                                style="width:40%; 
                                font-size:small; 
                                text-align:center">
                                <h:outputText 
                                    value="#{conceptosTodosEmpleadosTable.claveConcepto}" />
                            </p:column>

                            <p:column 
                                headerText="#{translatedMessage['restricted.nomina.calculaNomina.nombreConcepto']}"
                                style="width:45%; 
                                font-size:small; 
                                text-align:center">
                                <h:outputText 
                                    value="#{conceptosTodosEmpleadosTable.nombreConcepto}" />
                            </p:column>                                                     
                        </p:dataTable>
                    </div>

                    <br></br>

                    <div>
                        <table width="100%">
                            <tr>
                                <td align="center">
                                    <p:commandButton 
                                        id="btnGuardarConceptos"                
                                        update="@form"
                                        process="@form"                                         
                                        actionListener="#{addNominaMB.agregarConceptosATodosEmpleados()}"
                                        value="Agregar Concepto(s)"
                                        style="display:inline;                                                 
                                        font-size:small;"/> 
                                </td>

                                <td align="left">
                                    <p:commandButton  
                                        id="btnCerrarConceptos"  
                                        value="Cerrar"                                          
                                        onclick="PF('dgAgregarConceptos').hide();"
                                        update="@form"                                        
                                        style="display:inline;                                                 
                                        font-size:small;"/>                                                                              
                                </td>
                            </tr>
                        </table>
                    </div>                                    
                </p:outputPanel>      
            </h:form>
        </p:dialog>        -->
    </ui:define>
</ui:composition>